#!/bin/bash

# Проверяем, что передан аргумент (название программы)
if [ $# -ne 1 ]; then
  echo "Использование: $0 <название_программы>"
  exit 1
fi

program_name=$1

while true; do
  # Ищем все процессы с указанным именем
##  pids=$(pgrep $program_name)
  pids=$(echo `pgrep $program_name`)

  if [ -n "$pids" ]; then
    # Используем ps для получения информации о ресурсах для найденных процессов
##    cpu_usage=$(ps -p $pids -o %cpu | tail -n +2 | awk '{s+=$1} END {print s}')
    cpu_usage=$(ps -p "$pids" -o %cpu | tail -n +2 | awk '{s+=$1} END {print s}')
##    mem_usage=$(ps -p $pids -o rss | tail -n +2 | awk '{s+=$1} END {print s/1024}') # В мегабайтах
    mem_usage=$(ps -p "$pids" -o rss | tail -n +2 | awk '{s+=$1} END {print s/1024}') # В мегабайтах

    echo -e "\rПроцент CPU: $cpu_usage% | Память: ${mem_usage}MB"
  else
    echo -e "\rПрограмма $program_name не запущена"
  fi

  # Ждем перед следующей проверкой
  sleep 5 ##
done
